<template>
  <div v-if="weight !== null" class="rightSideObject" :style="{left: distance, bottom: distanceFromBar}">
    <in-object :shape="shape" :weight="weight"></in-object>
  </div>
</template>

<style lang="scss" scoped>
.rightSideObject {
  position: absolute;
  bottom: 0;
  z-index: 2;
}
</style>

<script>
import inObject from './inObject';

export default {
  name: 'right-side-object',
  props: {
    index: {
      type: Number,
      required: true
    }
  },
  components: {
    inObject
  },
  computed: {
    object() {
      return this.$store.state.rightSideObjects[this.index];
    },
    shape() {
      return this.object.shape;
    },
    weight() {
      return this.object.weight;
    },
    distance() {
      return `${this.object.distanceFromCenter * 70}px`;
    },
    bendingPercentage() {
      return this.$store.state.bendingPercentage;
    },
    distanceFromBar() {
      if (Math.sign(this.bendingPercentage) === -1) {
        return `${Math.abs(this.bendingPercentage / 2) * (this.object.distanceFromCenter - .5)}px`;
      }
      return `${-Math.abs(this.bendingPercentage / 2) * (this.object.distanceFromCenter - .5)}px`;
    }
  }
}
</script>